[PATCH] Fix particle z-buffer bug

Disable depth mask before drawing particles to prevent artifacts when
drawing over other semi-transparent textures (e.g. water with alpha).

diff -urN b/NQ/r_part.c head/NQ/r_part.c
--- b/NQ/r_part.c	2005-01-15 16:01:33.000000000 +1030
+++ head/NQ/r_part.c	2006-05-13 19:50:46.000000000 +0930
@@ -610,6 +610,8 @@
     GL_Bind(particletexture);
     glEnable(GL_BLEND);
     glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
+    glDepthMask(GL_FALSE);
+
     glBegin(GL_TRIANGLES);
 
     VectorScale(vup, 1.5, up);
@@ -734,6 +736,7 @@
 
 #ifdef GLQUAKE
     glEnd();
+    glDepthMask(GL_TRUE);
     glDisable(GL_BLEND);
     glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_REPLACE);
 #else
diff -urN b/QW/client/r_part.c head/QW/client/r_part.c
--- b/QW/client/r_part.c	2004-07-25 15:59:56.000000000 +0930
+++ head/QW/client/r_part.c	2006-05-13 19:59:03.000000000 +0930
@@ -450,6 +450,8 @@
 	glDisable(GL_ALPHA_TEST);
     glEnable(GL_BLEND);
     glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
+    glDepthMask(GL_FALSE);
+
     glBegin(GL_TRIANGLES);
 
     VectorScale(vup, 1.5, up);
@@ -586,6 +588,7 @@
 
 #ifdef GLQUAKE
     glEnd();
+    glDepthMask(GL_TRUE);
     glDisable(GL_BLEND);
     if (alphaTestEnabled)
 	glEnable(GL_ALPHA_TEST);
